ReplicationStatus (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.ReplicationStatus class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationStatus

    java.lang.Object
      com.sleepycat.db.ReplicationStatus

public final class ReplicationStatus
extends Object

The return status from processing a replication message.

Method Summary
`DatabaseEntry` | `getCData()` Whenever the system receives contact information from a new environment, a copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method.
`int` | `getEnvID()` Whenever a new master is elected, the environment ID of the new master is available from the getEnvID method.
`LogSequenceNumber` | `getLSN()` Whenever processing a messages results in the processing of messages that are permanent, or a message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk, the LSN of the record is available from the getLSN method.
`boolean` | `isDupMaster()` The replication group has more than one master.
`boolean` | `isHoldElection()` An election is needed.
`boolean` | `isNewMaster()` A new master has been elected.
`boolean` | `isNewSite()` The system received contact information from a new environment.
`boolean` | `isNotPermanent()` A message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk.
`boolean` | `isPermanent()` Processing this message resulted in the processing of records that are permanent.
`boolean` | `isStartupDone()` The client completed startup synchronization.
`boolean` | `isSuccess()` The operation succeeded.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isSuccess

    public boolean isSuccess()

  The operation succeeded.

### isDupMaster

    public boolean isDupMaster()

  The replication group has more than one master. The application should reconfigure itself as a client by calling the `Environment.startReplication` method, and then call for an election by calling `Environment.electReplicationMaster`.

### isHoldElection

    public boolean isHoldElection()

  An election is needed. The application should call for an election by calling `Environment.electReplicationMaster`.

### isPermanent

    public boolean isPermanent()

  Processing this message resulted in the processing of records that are permanent. The maximum LSN of the permanent records stored is available from the getLSN method.

### isNewMaster

    public boolean isNewMaster()

  A new master has been elected. The environment ID of the new master is available from the getEnvID method. If the recipient of this error return has been made master, it is the application's responsibility to begin acting as the master environment.

### isNewSite

    public boolean isNewSite()

  The system received contact information from a new environment. A copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method. The application should take whatever action is needed to establish a communication channel with this new environment.

### isNotPermanent

    public boolean isNotPermanent()

  A message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk. The LSN of this record is available from the getLSN method. The application should take whatever action is deemed necessary to retain its recoverability characteristics.

### isStartupDone

    public boolean isStartupDone()

  The client completed startup synchronization. The client application knows this client is now processing live log records received from the master.

### getCData

    public DatabaseEntry getCData()

  Whenever the system receives contact information from a new environment, a copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method. The application should take whatever action is needed to establish a communication channel with this new environment.

### getEnvID

    public int getEnvID()

  Whenever a new master is elected, the environment ID of the new master is available from the getEnvID method. If the recipient of this error return has been made master, it is the application's responsibility to begin acting as the master environment.

### getLSN

    public LogSequenceNumber getLSN()

  Whenever processing a messages results in the processing of messages that are permanent, or a message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk, the LSN of the record is available from the getLSN method. The application should take whatever action is deemed necessary to retain its recoverability characteristics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.